/*
 * inputffdvb.h: FF-DVB input for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_INPUTFFDVB_H
#define _ATMO_INPUTFFDVB_H

#include <linux/videodev.h>
#include <vdr/thread.h>

// --- cInputFFDVB -----------------------------------------------------------
class cInputFFDVB : public cAtmoInput, public cThread  {
private:
  struct video_mmap v_map;
  struct video_mbuf m_buf;
  void *map;
  int fd, nextframe, actframe;

  void CalcColors(void);
  void* Capture(void);
protected:
  virtual void Action(void);
public:
  cInputFFDVB();
  ~cInputFFDVB();
  virtual bool Open(const char* param);
  virtual bool Close(void);
};

#endif // _ATMO_INPUTFFDVB_H
